Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1380105 (mingw-libdb) - Review Request: mingw-libdb - MinGW build of The Berkeley DB database library
Summary: Review Request: mingw-libdb - MinGW build of The Berkeley DB database library
Keywords:
Status: CLOSED ERRATA
Alias: mingw-libdb
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-28 16:44 UTC by Neal Gompa
Modified: 2017-12-10 05:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 05:02:16 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 885919 0 medium CLOSED Review Request: mingw-libdb - MinGW build of The Berkeley DB database library for C 2021-02-22 00:41:40 UTC

Internal Links: 885919

Description Neal Gompa 2016-09-28 16:44:12 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/ngompa/mingw-libdb/mingw-libdb.git/plain/mingw-libdb.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/mingw-libdb/fedora-rawhide-x86_64/00446598-mingw-libdb/mingw-libdb-5.3.28-1.fc26.src.rpm

Description:

The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.


Fedora Account System Username: ngompa

Comment 1 Neal Gompa 2016-09-28 17:26:45 UTC
Spec URL: http://kinginuyasha.enanocms.org/downloads/mingw-libdb-5.3.28-2.fc24.src.rpm
SRPM URL: http://kinginuyasha.enanocms.org/downloads/mingw-libdb.spec

Updated SRPM and Spec to use %license for storing license files.

Comment 3 Yaakov Selkowitz 2016-11-23 04:05:56 UTC
Are the EXEs really useful here?

Comment 4 Neal Gompa 2016-11-23 12:26:28 UTC
(In reply to Yaakov Selkowitz from comment #3)
> Are the EXEs really useful here?

If someone wants to bundle the tools with the application they are building, or they are designing something that will need them, it's good to have them available so they can be pulled in. There's no reason *not* to provide them.

Comment 5 Yaakov Selkowitz 2016-11-27 04:49:57 UTC
(In reply to Neal Gompa from comment #4)
> (In reply to Yaakov Selkowitz from comment #3)
> > Are the EXEs really useful here?
> 
> If someone wants to bundle the tools with the application they are building,
> or they are designing something that will need them, it's good to have them
> available so they can be pulled in. There's no reason *not* to provide them.

The packaging guidelines[1] say otherwise.

[1] https://fedoraproject.org/wiki/Packaging:MinGW#Executables_.28EXEs.29

Comment 6 Thomas Sailer 2017-02-22 16:07:41 UTC
The issues IMO are:
- preserve (header) timestamps
- tab vs. space in .spec
- summaries ("for Win32 for Win64 for Win64")


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-libdb-5.3.28-2.fc24.noarch.rpm
          mingw32-libdb-static-5.3.28-2.fc24.noarch.rpm
          mingw64-libdb-5.3.28-2.fc24.noarch.rpm
          mingw64-libdb-static-5.3.28-2.fc24.noarch.rpm
          mingw32-libdb-debuginfo-5.3.28-2.fc24.noarch.rpm
          mingw64-libdb-debuginfo-5.3.28-2.fc24.noarch.rpm
          mingw-libdb-5.3.28-2.fc24.src.rpm
mingw32-libdb-static.noarch: W: no-documentation
mingw64-libdb-static.noarch: E: summary-too-long C MinGW build of The Berkeley DB database library for Win32 for Win32 for Win64 for Win64
mingw64-libdb-static.noarch: W: no-documentation
mingw32-libdb-debuginfo.noarch: E: debuginfo-without-sources
mingw64-libdb-debuginfo.noarch: E: debuginfo-without-sources
mingw-libdb.src:162: W: macro-in-comment %{buildroot}
mingw-libdb.src:33: W: mixed-use-of-spaces-and-tabs (spaces: line 33, tab: line 3)
7 packages and 0 specfiles checked; 3 errors, 4 warnings.

Comment 7 Thomas Sailer 2017-02-22 16:14:39 UTC
How about moving the *.exe into a separate subpackage?

Comment 8 greg.hellings 2017-04-13 16:01:42 UTC
I'll take over this -

Spec file: https://fedorapeople.org/~greghellings/mingw-libdb/mingw-libdb.spec
SRPM file: https://fedorapeople.org/~greghellings/mingw-libdb/mingw-libdb-5.3.28-3.fc26.src.rpm

I've updated in response to the above package review.

Comment 9 greg.hellings 2017-06-14 11:35:51 UTC
Any chance we could push this review along?

Comment 10 Robert-André Mauchin 🐧 2017-10-02 13:19:28 UTC
@greg.hellings

Package is good but it doesn't seem to be the latest version: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index-082944.html

Package is accepted still.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Ms-PL", "Apache (v2.0)", "LGPL (v2 or later)", "GPL (v2 or
     later)", "Unknown or generated", "BSD (4 clause)", "MIT/X11 (BSD
     like)", "NTP", "Perl", "*No copyright* BSD (unspecified)", "BSD (3
     clause)", "zlib/libpng", "*No copyright* Public domain", "GPL". 9136
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/mingw-libdb/review-mingw-
     libdb/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/x86_64-w64-mingw32/sys-
     root, /usr/i686-w64-mingw32/sys-root/mingw, /usr/x86_64-w64-mingw32,
     /usr/i686-w64-mingw32/sys-root/mingw/lib, /usr/i686-w64-mingw32,
     /usr/i686-w64-mingw32/sys-root, /usr/x86_64-w64-mingw32/sys-
     root/mingw, /usr/x86_64-w64-mingw32/sys-root/mingw/lib
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-libdb , mingw32-libdb-static , mingw64-libdb , mingw64-libdb-
     static , mingw32-libdb-utils , mingw64-libdb-utils
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Comment 11 Yaakov Selkowitz 2017-10-02 14:35:56 UTC
(In reply to Robert-André Mauchin from comment #10)
> Package is good but it doesn't seem to be the latest version:
> http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/
> downloads/index-082944.html

Due to a license change in 6.x, this is the latest version which we are using in Fedora atm.

Comment 12 Gwyn Ciesla 2017-11-16 12:40:21 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-libdb. You may commit to the branch "f27" in about 10 minutes.

Comment 13 Fedora Update System 2017-11-16 15:41:55 UTC
mingw-libdb-5.3.28-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a11bee115b

Comment 14 Fedora Update System 2017-11-17 18:57:10 UTC
mingw-libdb-5.3.28-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a11bee115b

Comment 15 Fedora Update System 2017-12-10 05:02:16 UTC
mingw-libdb-5.3.28-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.